/************************************************************************/
/* attribute.h - Attribute API Header					*/
/************************************************************************/
/*
 * (C)2003 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/
/* History:								*/
/************************************************************************/

#ifndef _ATTRIBUTE_H_
#define _ATTRIBUTE_H_


/* API Structure Definitions */
typedef struct _Attribute	Attribute;
struct _Attribute {
	char *name;
	char *value;
	Attribute *next;
	};

typedef int (*AttributeCallbackFunction)(Attribute *attrib, void *data);


/* API Function Prototypes */
Attribute *attribute_add (Attribute *attrib, char *name, char *value);

Attribute *attribute_remove (Attribute *attrib, char *name);

Attribute *attribute_find (Attribute *attrib, char *name);

char *attribute_get_value (Attribute *attrib, char *name);

int attribute_get_name_and_value (Attribute *attrib, char **name,
				char **value);

int	attribute_foreach (Attribute *attrib,
				AttributeCallbackFunction callback,
				void *data);

void	attribute_freeall(Attribute **attrib);


#endif


