/************************************************************************/
/* url.h - url construct/parse functions header				*/
/************************************************************************/
/*
 *  (c)2003 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/


#ifndef _URL_H_
#define _URL_H_

#include <cutil/attribute.h>

typedef struct _Url	Url;
struct _Url {
	char *protocol;
	char *hostname;
	char *path;
	int port;
	Attribute *attrib;
};

int url_new (Url **urlp, char *protocol, char *hostname,
		char *path, int port);
int url_add_param (Url *url, char *name, char *value);
int url_construct (Url *url, char **string);
int url_new_parse (Url **urlp, char *string);
int url_get_protocol (Url *url, char **protocol);
int url_get_hostname (Url *url, char **hostname);
int url_get_path (Url *url, char **path);
int url_get_port (Url *url, int *port);
int url_has_param (Url *url, char *name);
int url_get_param (Url *url, char *name, char **value);
int url_free (Url **urlp);

#endif

